[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
Re: [dtp-dev] DTP to move to Java 6 for Juno

The described Java 6 support is now effective, starting in DTP 1.10 M5.
A DTP bundle may now specify its required use of Java 6 compiler, by specifying the following BREE setting in the bundle manifest.mf,
   Bundle-RequiredExecutionEnvironment: JavaSE-1.6

The BREE entry is required by Eclipse simultaneous release in all bundles with Java code.  It would trigger the DTP build task to use the corresponding version of Java to compile the bundle.

Linda
DTP PMC

From: dtp-dev-bounces@xxxxxxxxxxx [mailto:dtp-dev-bounces@xxxxxxxxxxx] On Behalf Of Brian Payton
Sent: Wednesday, January 04, 2012 1:28 PM
To: DTP development mailing list
Subject: [dtp-dev] DTP to move to Java 6 for Juno

FYI, the DTP PMC is planning to change the Java JDK level that is used to build the DTP project from Java 5 to Java 6 by the end of January 2012.  (That is, for the Juno M5 milestone.)

This applies to DTP 1.10 only.  (That is, DTP for the "Juno" release train.)  DTP 1.9.2 will continue to be built with Java 5.

To prepare for this change, the DTP 1.9.2 code stream will be branched off from the DTP 1.10 code stream in mid-January.

Please respond to this mailing list or to the DTP newsgroup (eclipse.dtp at news.eclipse.org) if you have any comments or concerns about this change.

Regards,
Brian

Brian Payton

DTP PMC Lead
Data Tools Development
IBM Silicon Valley Laboratory